{# TODO: For regions to be drag'n'dropable we would need to apply region_attributes['first'] to the actual regions + adding our own class region__content; unlike in drupal core region_attributes.first.addClass('region__title') only outputs classes when editing a layout builder page, but not when viewing it #}

{%
  set classes = [
    'layout--' ~ variant ~ 'col-section',
    'lb-columns__section',
    'lb-columns__section--' ~ variant ~ 'col',
  ]
%}

{% set wrapper = wrapper ?: 'boxed_region' %}

{% set first_rendered = first|render %}
{% set second_rendered = second|render %}
{% set third_rendered = third|render %}

{% set first_title_rendered = first_title|render %}
{% set second_title_rendered = second_title|render %}
{% set third_title_rendered = third_title|render %}

<div class="lb-columns lb-columns--{{ wrapper }}{% if class is not empty %} {{ class }}{% endif %} {% if two_col is not empty %}lb-columns--twocol--{{ two_col }}{% endif %} {% if bg_color is not empty or bg_image is not empty %}has-background{% endif %}" style="{% if text_color is not empty %}color: {{ text_color }}{% endif %} {% if styles is not empty %}{{ styles }};{% endif %}">
  {% if bg_image is not empty or bg_color is not empty %}
    <div class="lb-columns__bg-image" style="{% if bg_color is not empty %}background-color: {{ bg_color }};{% endif %}{% if bg_image is not empty %}background-image: url('{{ bg_image }}'); background-size: cover;{% endif %}{% if bg_opacity is not empty %}opacity: {{ bg_opacity }}{% endif %};">
    </div>
  {% endif %}
    {% if stacked == 'top' %}
      <div {{ region_attributes['top'] }}>{# This is needed for layout_builder to work properly #}
        {{ top }}
      </div>
    {% endif %}
    <div{{ attributes.addClass(classes) }}>{# This is needed for layout_builder to work properly #}
      {% if variant == 'one' %}
        {% if first_rendered|real_content is not empty or first_title_rendered|real_content is not empty %}
          <div {{ region_attributes['first'] }}>{# This is needed for layout_builder to work properly #}
            {% if region_titles == 'yes' %}
              <div class="region__title">
                {{ first_title_rendered }}
              </div>
            {% endif %}
            <div class="region__content is-flow">
              {{ first_rendered }}
            </div>
          </div>
        {% endif %}
      {% endif %}
      {% if variant == 'two' %}
        {% if first_rendered|real_content is not empty or second_rendered|real_content is not empty or first_title_rendered|real_content is not empty or second_title_rendered|real_content is not empty %}
          {% if first_rendered|real_content is not empty or first_title_rendered|real_content is not empty %}
            <div {{ region_attributes['first'] }}>
              {% if region_titles == 'yes' %}
                <div class="region__title">
                  {{ first_title_rendered }}
                </div>
              {% endif %}
              <div class="region__content is-flow">
                {{ first_rendered }}
              </div>
            </div>     
          {% endif %}
          {% if second_rendered|real_content is not empty or second_title_rendered|real_content is not empty %}
            <div {{ region_attributes['second'] }}>
              {% if region_titles == 'yes' %}
                <div class="region__title">
                  {{ second_title_rendered }}
                </div>
              {% endif %}
              <div class="region__content is-flow">
                {{ second_rendered }}
              </div>
            </div>
          {% endif %}
        {% endif %}
      {% endif %}
      {% if variant == 'three' %}
        {% if first_rendered|real_content is not empty or second_rendered|real_content or third_rendered|real_content is not empty or first_title_rendered|real_content is not empty or second_title_rendered|real_content is not empty or third_title_rendered|real_content is not empty %}
          {% if first_rendered|real_content is not empty or first_title_rendered|real_content is not empty %}
            <div {{ region_attributes['first'] }}>
              {% if region_titles == 'yes' %}
                <div class="region__title">
                  {{ first_title_rendered }}
                </div>
              {% endif %}
              <div class="region__content is-flow">
                {{ first_rendered }}
              </div>
            </div>
          {% endif %}
          {% if second_rendered|real_content is not empty or second_title_rendered|real_content is not empty %}
            <div {{ region_attributes['second'] }}>
              {% if region_titles == 'yes' %}
                <div class="region__title">
                  {{ second_title_rendered }}
                </div>
              {% endif %}
              <div class="region__content is-flow">
                {{ second_rendered }}
              </div>
            </div>
          {% endif %}
          {% if third_rendered|real_content is not empty or third_title_rendered|real_content is not empty %}
            <div {{ region_attributes['third'] }}>
              {% if region_titles == 'yes' %}
                <div class="region__title">
                  {{ third_title_rendered }}
                </div>
              {% endif %}
              <div class="region__content is-flow">
                {{ third_rendered }}
              </div>
            </div>
          {% endif %}
        {% endif %}
      {% endif %}
    </div>
</div>
